import request from '@/utils/request'

// 查询规则分类列表
export function listRuleType(query) {
  return request({
    url: '/rule/ruleType/list',
    method: 'get',
    params: query
  })
}

// 查询规则分类详细
export function getRuleType(id) {
  return request({
    url: '/rule/ruleType/' + id,
    method: 'get'
  })
}

// 新增规则分类
export function addRuleType(data) {
  return request({
    url: '/rule/ruleType',
    method: 'post',
    data: data
  })
}

// 修改规则分类
export function updateRuleType(data) {
  return request({
    url: '/rule/ruleType',
    method: 'put',
    data: data
  })
}

// 删除规则分类
export function delRuleType(id) {
  return request({
    url: '/rule/ruleType/' + id,
    method: 'delete'
  })
}
